Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-05-2020 10:53:13

DisobeY
Membre
Inscription : 13-05-2020

"problèmes de dépendances - laissé non configuré"

bojours je rencontre des problèmes avec kali linux je suis nouveau sur cet os je ne comprend donc pas encore d'ou vient l erreur.quand je veux installer wifi-pumpkin voila les message d'erreur"problèmes de dépendances - laissé non configuré"une idée du problème ?merci d'avance

Hors ligne

#2 13-05-2020 12:18:54

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : "problèmes de dépendances - laissé non configuré"

Tu va devoir donner la commande que tu fais, et le message d'erreur complet obtenu.
Ainsi que le contenu de ton/tes fichier(s) /etc/apt/sources.list*

datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#3 13-05-2020 16:50:48

DisobeY
Membre
Inscription : 13-05-2020

Re : "problèmes de dépendances - laissé non configuré"

voici la commande et le resultat

oot@kali:/home/disobey# dpkg -i wifi-pumpkin_0.8.7_all.deb


(Lecture de la base de données... 335874 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de wifi-pumpkin_0.8.7_all.deb ...
Dépaquetage de wifi-pumpkin (0.8.7) sur (0.8.7) ...
dpkg: des problèmes de dépendances empêchent la configuration de wifi-pumpkin :
 wifi-pumpkin dépend de python-qt4 ; cependant :
  Le paquet python-qt4 n'est pas installé.

dpkg: erreur de traitement du paquet wifi-pumpkin (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.24-1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.64) ...
Des erreurs ont été rencontrées pendant l'exécution :
 wifi-pumpkin
(Lecture de la base de données... 335874 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de wifi-pumpkin_0.8.7_all.deb ...
Dépaquetage de wifi-pumpkin (0.8.7) sur (0.8.7) ...
dpkg: des problèmes de dépendances empêchent la configuration de wifi-pumpkin :
 wifi-pumpkin dépend de python-qt4 ; cependant :
  Le paquet python-qt4 n'est pas installé.

dpkg: erreur de traitement du paquet wifi-pumpkin (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.24-1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.64) ...
Des erreurs ont été rencontrées pendant l'exécution :
 wifi-pumpkin


root@kali:/hom

ensuite pour la commande /etc/apt/sources.list*
voici le resultat

root@kali:/home/disobey# /etc/apt/sources.list*


bash: /etc/apt/sources.list: Permission non accordée



Un peu de mise en forme : https://debian-facile.org/atelier:bbcode

Hors ligne

#4 13-05-2020 16:55:32

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : "problèmes de dépendances - laissé non configuré"

Pour afficher des fichiers textes, utilises cat :

cat /etc/apt/sources.list*


Sans cat, il essaie d'executer le texte comme si c'était un executable. Donc forcément ça ne marche pas.
catheadtail.jpeg

Pour installer un paquet .deb :
1) Vérifie que le paquet provient d'une source fiable, installer un .deb c'est équivalent à installe un .exe, selon sa source, ça peut être un malware. Même si ce n'est pas un malware, ça peut aussi être un paquet non prévu pour ta version de système, ou malformé. Tu prends donc de gros risques.
2) Tu devrai l'installer en utilisant apt plutôt que dpkg, il s'occupera des dépendances pour toi s'il peut

apt install ./wifi-pumpkin_0.8.7_all.deb

Dernière modification par otyugh (13-05-2020 17:30:14)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#5 13-05-2020 17:47:37

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-9-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : "problèmes de dépendances - laissé non configuré"

Hello
/home/disobey apres une commande cd sinon c'est que su a été utilisé alors qu'il faudrait su -
Enfin je sais pas trop si Kali est comme Debian

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#6 13-05-2020 18:25:46

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : "problèmes de dépendances - laissé non configuré"

@Crouton : je comprends ce que tu veux dire vu que je vois de quoi tu parles, mais je suis certain qu'il ne va pas comprendre, parce que tu le dis d'une manière tellement énigmatique que sauf embrouiller là...

Et oui Kali c'est à base debian.

datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#7 14-05-2020 12:26:55

DisobeY
Membre
Inscription : 13-05-2020

Re : "problèmes de dépendances - laissé non configuré"

en ce qui concerne la commande cat /etc/apt/sources.list* voilà le resultat
root@kali:/home/disobey#

cat /etc/apt/sources.list*


#

# deb cdrom:[Kali GNU/Linux 2020.1b _Kali-last-snapshot_ - Official amd64 DVD Binary-1 with firmware 20200316-17:52]/ kali-rolling contrib main non-free

#deb cdrom:[Kali GNU/Linux 2020.1b _Kali-last-snapshot_ - Official amd64 DVD Binary-1 with firmware 20200316-17:52]/ kali-rolling contrib main non-free

deb http://http.kali.org/kali kali-rolling main non-free contrib
# deb-src http://http.kali.org/kali kali-rolling main non-free contrib

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
cat: /etc/apt/sources.list.d: est un dossier


root@kali:/home/disobey#

malheureusement pour l'instalation de mon programme j'ai essayer avec la commande

apt-get install ./wifi-pumpkin_0.8.7_all.deb


mais le problème vient probablement de ma version de kali car de cette manière ci un nouveau message d'erreur s'affiche

wifi-pumpkin : Dépend: python-qt4 mais il n'est pas installable


(plus de details)root@kali:/home/disobey#

apt-get install ./wifi-pumpkin_0.8.7_all.deb


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 wifi-pumpkin : Dépend: python-qt4 mais il n'est pas installable
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).


je pense donc que cette instalation sera tout betement impossible
est ce que changer de version resoudra mes problèmes ou vien il d'ailleurs?
en tout cas merci beaucoup pour votre temps mis à ma disposition

Edit à toto : Pour que la lecture du code sur le forum soit lisible par tous, il faut bien disposer chaque commande hors de son retour. Modif fête. smile
Oh, quel beau BB …code où comment mettre en forme vos messages dans le fofo

Hors ligne

#8 14-05-2020 12:40:23

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-9-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : "problèmes de dépendances - laissé non configuré"

essai la commande recommandé souvent cela résout bien des soucis

apt --fix-broken install


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#9 14-05-2020 13:04:13

DisobeY
Membre
Inscription : 13-05-2020

Re : "problèmes de dépendances - laissé non configuré"

malheuresement rien y fait mais merci beaucoup pour votre aide smile

Hors ligne

#10 14-05-2020 14:29:35

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : "problèmes de dépendances - laissé non configuré"

Bonjour,
Tu peux regarder si le paquet est disponible dans les dépôts de ton sources.list

apt policy python-qt4


Ce paquet est disponible sur Debian sauf pour la version testing
C'est basé sur quelle version de Debian la distribution Kali ?

Hors ligne

#11 14-05-2020 14:46:02

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : "problèmes de dépendances - laissé non configuré"

Faudrait voir si kali est basé sur buster ou plus récent. Si sur plus récent, tu aura sans doute un problème, vu qu'il n'y a plus de version de ce paquet dans debian depuis.

Package: python-qt4 on amd64 -- jessie: 4.11.2+dfsg-1; stretch: 4.11.4+dfsg-2+b1; buster: 4.12.1+dfsg-2+b1

Dernière modification par otyugh (14-05-2020 14:47:57)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#12 14-05-2020 14:50:16

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : "problèmes de dépendances - laissé non configuré"

c'est normal qt4 va être obsolète

Hors ligne

Pied de page des forums